=== debian/control ===
Source: ros-kinetic-openrtm-tools
Section: misc
Priority: extra
Maintainer: Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-openrtm-aist, ros-kinetic-openrtm-aist-python, ros-kinetic-rosbash, ros-kinetic-rostest, ros-kinetic-rtshell
Homepage: http://ros.org/wiki/openrtm_tools
Standards-Version: 3.9.2

Package: ros-kinetic-openrtm-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-openrtm-aist, ros-kinetic-openrtm-aist-python, ros-kinetic-rosbash, ros-kinetic-rtshell
Description: The openrtm_tools package
